continuum-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tryg...@apache.org
Subject svn commit: r168103 - /maven/continuum/trunk/continuum-plexus-application/update-from-target.sh
Date Wed, 04 May 2005 09:29:40 GMT
Author: trygvis
Date: Wed May  4 02:29:38 2005
New Revision: 168103

URL: http://svn.apache.org/viewcvs?rev=168103&view=rev
Log:
o Adding a short circuit of the update script if the application is unexploded.

Modified:
    maven/continuum/trunk/continuum-plexus-application/update-from-target.sh

Modified: maven/continuum/trunk/continuum-plexus-application/update-from-target.sh
URL: http://svn.apache.org/viewcvs/maven/continuum/trunk/continuum-plexus-application/update-from-target.sh?rev=168103&r1=168102&r2=168103&view=diff
==============================================================================
--- maven/continuum/trunk/continuum-plexus-application/update-from-target.sh (original)
+++ maven/continuum/trunk/continuum-plexus-application/update-from-target.sh Wed May  4 02:29:38
2005
@@ -1,5 +1,13 @@
 #!/bin/bash
 
+set -e
+
+# If the application haven't ever been run and exploded, return silently
+if [ ! -d "target/plexus-test-runtime/apps/continuum/lib/" ]
+then
+  exit 0
+fi
+
 copy()
 {
   dir=$1



Mime
View raw message